'use strict';

const index = require('./index-ef8199fa.js');

/*
 Stencil Client Patch Browser v2.20.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('blocks.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["quantity-selector.cjs",[[1,"quantity-selector",{"selectedAmount":[2,"selected-amount"],"allocationLeft":[2,"allocation-left"]}]]],["token-select.cjs",[[1,"token-select"]]],["mint-amount-input_7.cjs",[[1,"struct-core",{"contractAddress":[1,"contract-address"],"testnet":[4],"type":[1],"walletBtnText":[1,"wallet-btn-text"],"mintBtnText":[1,"mint-btn-text"],"soldOutText":[1,"sold-out-text"],"supplyLeft":[4,"supply-left"],"signatures":[1],"initialized":[32],"mounted":[32],"isMinting":[32],"isConnecting":[32],"selectedAmount":[32],"totalSupply":[32],"message":[32],"mountError":[32]},[[0,"amountChanged","selectAmountChanged"]]],[1,"mint-amount-input",{"selectedAmount":[2,"selected-amount"],"allocationLeft":[2,"allocation-left"],"maxPerWallet":[2,"max-per-wallet"]}],[1,"mint-button",{"disabled":[4]}],[1,"mint-config",{"selectedAmount":[1538,"selected-amount"],"allocationLeft":[2,"allocation-left"],"mintPrice":[1,"mint-price"]}],[1,"mint-status",{"mintStatus":[2,"mint-status"]}],[1,"supply-display",{"totalSupply":[2,"total-supply"],"maxSupply":[2,"max-supply"]}],[1,"wallet-button",{"label":[1]}]]]], options);
});
