import { Host, h } from '@stencil/core';
export class MintAmountInput {
  constructor() {
    this.selectedAmount = undefined;
    this.allocationLeft = undefined;
    this.maxPerWallet = undefined;
  }
  render() {
    return (h(Host, null, h("div", null, h("div", { class: "data-row" }, h("span", null, "Quantity"), h("div", { class: "input-container" }, h("button", { onClick: () => this.amountChanged.emit(this.selectedAmount - 1), disabled: this.allocationLeft === 0 || this.selectedAmount <= 1, ref: el => (this.subtract = el) }, "-"), this.selectedAmount, h("button", { disabled: this.selectedAmount >= this.allocationLeft, onClick: () => this.amountChanged.emit(this.selectedAmount + 1), ref: el => (this.add = el) }, "+"))), h("div", { class: "data-row-alt" }, "Max ", this.maxPerWallet, " per wallet"))));
  }
  static get is() { return "mint-amount-input"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["mint-amount-input.sass"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["mint-amount-input.css"]
    };
  }
  static get properties() {
    return {
      "selectedAmount": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "selected-amount",
        "reflect": false
      },
      "allocationLeft": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "allocation-left",
        "reflect": false
      },
      "maxPerWallet": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "max-per-wallet",
        "reflect": false
      }
    };
  }
  static get events() {
    return [{
        "method": "amountChanged",
        "name": "amountChanged",
        "bubbles": true,
        "cancelable": true,
        "composed": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        }
      }];
  }
}
